.story__img {
    display: block;
    transition: opacity .2s;
    overflow: hidden;
    margin-bottom: var(--space-xs)
}

.story__img:hover {
    opacity: .85
}

.story__img img {
    display: block;
    width: 100%
}

.story__category {
    display: inline-flex;
    align-items: center;
    color: var(--color-contrast-higher);
    line-height: 1;
    text-decoration: none;
    font-size: var(--text-xs);
    background-color: hsla(var(--color-primary-h), var(--color-primary-s), var(--color-primary-l), 0.2);
    padding: var(--space-xxxs) var(--space-xxs);
    border-radius: var(--radius-md);
    transition: background-color .2s
}

.story__category:hover {
    text-decoration: underline;
    background-color: hsla(var(--color-primary-h), var(--color-primary-s), var(--color-primary-l), 0.3)
}

.story__title a {
    color: var(--color-contrast-higher);
    text-decoration: none
}

.story__title a:hover {
    text-decoration: underline
}

.story__author {
    --author-img-size: 50px;
    display: grid;
    grid-template-columns: var(--author-img-size) 1fr;
    align-items: center;
    gap: var(--space-xs)
}

.story__author img {
    display: block;
    width: var(--author-img-size);
    height: var(--author-img-size);
    -o-object-fit: cover;
    object-fit: cover;
    border-radius: 50%
}

.story__author-name {
    margin-bottom: var(--space-4xs)
}

.story__author-name a {
    text-decoration: none;
    color: var(--color-contrast-higher)
}

.story__author-name a:hover {
    text-decoration: underline
}

.story__meta {
    font-size: var(--text-sm);
    color: var(--color-contrast-medium)
}


@media(min-width:64rem) {
    .story--featured {
        display: grid;
        grid-template-columns: 2fr 3fr;
        grid-gap: var(--space-md);
        align-items: center
    }

    .story--featured .story__img {
        margin: 0
    }
    .story__title {
        font-size: var(--text-md)
    }
    .story--featured .story__title {
        font-size: var(--text-xl)
    }
    .story--featured p {
        font-size: var(--text-md);
    }
}

.pagination__list>li {
    display: inline-block
}

.pagination--split .pagination__list {
    width: 100%
}

.pagination--split .pagination__list>*:first-child {
    margin-right: auto
}

.pagination--split .pagination__list>*:last-child {
    margin-left: auto
}

.pagination__item {
    display: inline-block;
    display: inline-flex;
    height: 100%;
    align-items: center;
    padding: var(--space-xs) calc(1.355 * var(--space-xs));
    white-space: nowrap;
    line-height: 1;
    border-radius: var(--radius-md);
    text-decoration: none;
    color: var(--color-contrast-high);
    will-change: transform;
    transition: .2s
}

.pagination__item:hover:not(.pagination__item--selected):not(.pagination__item--ellipsis) {
    background-color: hsla(var(--color-contrast-higher-h), var(--color-contrast-higher-s), var(--color-contrast-higher-l), 0.1)
}

.pagination__item:active {
    transform: translateY(2px)
}

.pagination__item--selected {
    background-color: var(--color-contrast-higher);
    color: var(--color-bg);
    box-shadow: var(--shadow-sm)
}

.pagination__item--disabled {
    opacity: .5;
    pointer-events: none
}

.pagination__jumper .form-control {
    width: 3em;
    margin-right: var(--space-xs)
}

.pagination__jumper em {
    flex-shrink: 0;
    white-space: nowrap
}